SellersSearch:
  post:
    tags:
      - units_sellers
    operationId: searchSellers
    summary: Получение объектов типа Seller
    description: Получение объектов типа Seller
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Sellers\SellersController@search'
    x-lg-skip-request-generation: true
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/sellers.yaml#/SearchSellersRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/sellers.yaml#/SearchSellersResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
SellerEnumValuesSearch:
  post:
    tags:
      - units_sellers
    operationId: searchSellerEnumValues
    summary: Поиск продавцов для справочника
    description: Поиск продавцов для справочника
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Sellers\SellersController@searchEnumValues'
    x-lg-route-name: 'units.searchSellerEnumValues'
    x-lg-skip-request-generation: true
    x-lg-skip-resource-generation: true
    requestBody:
      $ref: '../index.yaml#/components/requestBodies/SearchEnumValuesRequest'
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/SearchEnumValuesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
Sellers:
  post:
    tags:
      - units_sellers
    operationId: createSeller
    summary: Создание продавца
    description: Создание продавца
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Sellers\SellersController@create'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/sellers.yaml#/CreateSellerRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/sellers.yaml#/SellerResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
SellersOne:
  get:
    tags:
      - units_sellers
    operationId: getSellerDetail
    summary: Получение объекта типа Seller
    description: Получение объекта типа Seller
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Sellers\SellersController@get'
    parameters:
      - $ref: '#/PathId'
      - $ref: '../common_parameters.yaml#/QueryInclude'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/sellers.yaml#/SellerResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - units_sellers
    parameters:
      - $ref: '#/PathId'
    operationId: patchSeller
    summary: Частичное изменение объекта типа Seller
    description: Частичное изменение объекта типа Seller
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Sellers\SellersController@patch'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/sellers.yaml#/PatchSellerRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/sellers.yaml#/SellerResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
SellersMeta:
  get:
    tags:
      - units_sellers
    operationId: getSellerMeta
    summary: Getting a list of available fields
    description: Getting a list of available fields
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Sellers\SellersController@meta'
    x-lg-skip-resource-generation: true
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/GetResourceMetaResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
SellerStatuses:
  get:
    tags:
      - units_sellers
    operationId: getSellerStatuses
    summary: Получение объектов типа SellerStatus
    description: Получение объектов типа SellerStatus
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\EnumsController@sellerStatuses'
    x-lg-skip-resource-generation: true
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/enums.yaml#/GetSellerStatusesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

StoresMeta:
  get:
    tags:
      - units_stores
    operationId: getStoressMeta
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoresController@meta'
    x-lg-skip-request-generation: true
    x-lg-skip-resource-generation: true
    summary: Getting a list of available fields
    description: Getting a list of available fields
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/GetResourceMetaResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

StoresSearch:
  post:
    tags:
      - units_stores
    operationId: searchStores
    summary: Получение объектов типа Store
    description: Получение объектов типа Store
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoresController@search'
    x-lg-skip-request-generation: true
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/stores.yaml#/SearchStoresRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/stores.yaml#/SearchStoresResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StoresEnumValuesSearch:
  post:
    tags:
      - units_stores
    operationId: searchStoreEnumValues
    summary: Поиск магазина для справочника
    description: Поиск магазина для справочника
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoresController@searchEnumValues'
    x-lg-route-name: 'units.searchStoreEnumValues'
    x-lg-skip-request-generation: true
    requestBody:
      $ref: '../index.yaml#/components/requestBodies/SearchEnumValuesRequest'
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/SearchEnumValuesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
Stores:
  post:
    tags:
      - units_stores
    operationId: createStore
    summary: Создание склада продавца
    description: Создание склада продавца
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoresController@create'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/stores.yaml#/CreateStoreRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/stores.yaml#/StoreResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StoresOne:
  get:
    tags:
      - units_stores
    operationId: getStore
    summary: Получение объекта типа Store
    description: Получение объекта типа Store
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoresController@get'
    parameters:
      - $ref: '#/PathId'
      - $ref: '../common_parameters.yaml#/QueryInclude'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/stores.yaml#/StoreResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - units_stores
    parameters:
      - $ref: '#/PathId'
    operationId: patchStore
    summary: Частичное изменение объекта типа Store
    description: Частичное изменение объекта типа Store
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoresController@patch'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/stores.yaml#/PatchStoreRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/stores.yaml#/StoreResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StoreWorkings:
  post:
    tags:
      - units_stores
    operationId: createStoreWorking
    summary: Создание времени работы склада
    description: Создание времени работы склада
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreWorkingsController@create'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/store_workings.yaml#/CreateStoreWorkingRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/store_workings.yaml#/StoreWorkingResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StoreWorkingsOne:
  patch:
    tags:
      - units_stores
    parameters:
      - $ref: '#/PathId'
    operationId: patchStoreWorking
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreWorkingsController@patch'
    summary: Частичное изменение объекта типа StoreWorking
    description: Частичное изменение объекта типа StoreWorking
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/store_workings.yaml#/PatchStoreWorkingRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/store_workings.yaml#/StoreWorkingResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - units_stores
    parameters:
      - $ref: '#/PathId'
    operationId: deleteStoreWorking
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreWorkingsController@delete'
    x-lg-skip-request-generation: true
    summary: Удалить запись о времени работы склада
    description: Удаление объекта типа StoreWorking
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StorePickupTimes:
  post:
    tags:
      - units_stores
    operationId: createStorePickupTime
    summary: Создание времени отгрузки со склада
    description: Создание времени отгрузки со склада
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StorePickupTimesController@create'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/store_pickup_times.yaml#/CreateStorePickupTimeRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/store_pickup_times.yaml#/StorePickupTimeResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StorePickupTimesOne:
  patch:
    tags:
      - units_stores
    parameters:
      - $ref: '#/PathId'
    operationId: patchStorePickupTime
    summary: Частичное изменение объекта типа StorePickupTime
    description: Частичное изменение объекта типа StorePickupTime
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StorePickupTimesController@patch'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/store_pickup_times.yaml#/PatchStorePickupTimeRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/store_pickup_times.yaml#/StorePickupTimeResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - units_stores
    parameters:
      - $ref: '#/PathId'
    operationId: deleteStorePickupTime
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StorePickupTimesController@delete'
    x-lg-skip-request-generation: true
    summary: Удалить запись о времени отгрузки со склада
    description: Удаление объекта типа StorePickupTime
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StoreContacts:
  post:
    tags:
      - units_stores
    operationId: createStoreContact
    summary: Создание контактного лица склада
    description: Создание контактного лица склада
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreContactsController@create'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/store_contacts.yaml#/CreateStoreContactRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/store_contacts.yaml#/StoreContactResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
StoreContactsOne:
  patch:
    tags:
      - units_stores
    parameters:
      - $ref: '#/PathId'
    operationId: patchStoreContact
    summary: Частичное изменение объекта типа StoreContact
    description: Частичное изменение объекта типа StoreContact
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreContactsController@patch'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/store_contacts.yaml#/PatchStoreContactRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/store_contacts.yaml#/StoreContactResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - units_stores
    operationId: deleteStoreContact
    summary: Удаление объекта типа StoreContact
    description: Удаление объекта типа StoreContact
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\Stores\StoreContactsController@delete'
    x-lg-skip-request-generation: true
    parameters:
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

SellerUsersMeta:
  get:
    tags:
      - units_seller_users
    operationId: getSellerUsersMeta
    summary: Получение списка доступных полей
    description: Получение списка доступных полей
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUsersController@meta'
    x-lg-skip-resource-generation: true
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/GetResourceMetaResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

SellerUsersSearch:
  post:
    tags:
      - units_seller_users
    operationId: searchSellerUsers
    summary: Получение объектов типа SellerUser
    description: Получение объектов типа SellerUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUsersController@search'
    x-lg-skip-request-generation: true
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/seller_users.yaml#/SearchSellerUsersRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/seller_users.yaml#/SearchSellerUsersResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
SellerUsers:
  post:
    tags:
      - units_seller_users
    operationId: createSellerUser
    summary: Создание пользователя продавца
    description: Создание пользователя продавца
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUsersController@create'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/seller_users.yaml#/CreateSellerUserRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/seller_users.yaml#/SellerUserResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
SellerUsersOne:
  get:
    tags:
      - units_seller_users
    operationId: getSellerUser
    summary: Получение объекта типа SellerUser
    description: Получение объекта типа SellerUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUsersController@get'
    parameters:
      - $ref: '#/PathId'
      - $ref: '../common_parameters.yaml#/QueryInclude'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/seller_users.yaml#/SellerUserResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - units_seller_users
    parameters:
      - $ref: '#/PathId'
    operationId: patchSellerUser
    summary: Частичное изменение объекта типа SellerUser
    description: Частичное изменение объекта типа SellerUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUsersController@patch'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/seller_users.yaml#/PatchSellerUserRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/seller_users.yaml#/SellerUserResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
SellerUsersOneAddRoles:
  post:
    tags:
      - units_seller_users
    operationId: addRolesToSellerUser
    summary: Добавление ролей объекту типа SellerUser
    description: Добавление ролей объекту типа SellerUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUsersController@addRoles'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/seller_users.yaml#/AddRolesToSellerUserRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
SellerUsersOneDeleteRole:
  post:
    tags:
      - units_seller_users
    operationId: deleteRoleFromSellerUser
    summary: Удаление роли у объекта типа SellerUser
    description: Удаление роли у объекта типа SellerUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUsersController@deleteRole'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/seller_users.yaml#/DeleteRoleFromSellerUserRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
SellerUserRolesSearch:
  post:
    tags:
      - units_seller_users
    operationId: searchRole
    summary: Получение объектов типа SellerUserRole
    description: Получение объектов типа SellerUserRole
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\SellerUsers\SellerUserRolesController@search'
    x-lg-skip-request-generation: true
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/seller_user_roles.yaml#/SearchSellerUserRolesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/seller_user_roles.yaml#/SearchSellerUserRolesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

AdminUsersMeta:
  get:
    tags:
      - units_admin_users
    operationId: getAdminUsersMeta
    summary: Getting a list of available fields
    description: Getting a list of available fields
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@meta'
    x-lg-skip-resource-generation: true
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/GetResourceMetaResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUsersSearch:
  post:
    tags:
      - units_admin_users
    operationId: searchAdminUsers
    summary: Получение объектов типа AdminUser
    description: Получение объектов типа AdminUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@search'
    x-lg-skip-request-generation: true
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/admin_users.yaml#/SearchAdminUsersRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/admin_users.yaml#/SearchAdminUsersResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUserEnumValuesSearch:
  post:
    tags:
      - units_admin_users
    operationId: searchAdminUserEnumValues
    summary: Поиск пользователей для справочника
    description: Поиск пользователей для справочника
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@searchEnumValues'
    x-lg-route-name: 'units.searchAdminUserEnumValues'
    x-lg-skip-request-generation: true
    requestBody:
      $ref: '../index.yaml#/components/requestBodies/SearchEnumValuesRequest'
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/SearchEnumValuesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUsers:
  post:
    tags:
      - units_admin_users
    operationId: createAdminUser
    summary: Создание объекта типа AdminUser
    description: Создание объекта типа AdminUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@create'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/admin_users.yaml#/CreateAdminUserRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/admin_users.yaml#/AdminUserResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUsersOne:
  get:
    tags:
      - units_admin_users
    operationId: getAdminUser
    summary: Получение объекта типа AdminUser
    description: Получение объекта типа AdminUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@get'
    parameters:
      - $ref: '#/PathId'
      - $ref: '../common_parameters.yaml#/QueryInclude'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/admin_users.yaml#/AdminUserResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - units_admin_users
    parameters:
      - $ref: '#/PathId'
    operationId: patchAdminUser
    summary: Частичное изменение объекта типа AdminUser
    description: Частичное изменение объекта типа AdminUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@patch'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/admin_users.yaml#/PatchAdminUserRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/admin_users.yaml#/AdminUserResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUsersOneAddRoles:
  post:
    tags:
      - units_admin_users
    operationId: addRolesToAdminUser
    summary: Добавление ролей объекту типа AdminUser
    description: Добавление ролей объекту типа AdminUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@addRoles'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/admin_users.yaml#/AddRolesToAdminUserRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUsersOneDeleteRole:
  post:
    tags:
      - units_admin_users
    operationId: deleteRoleFromAdminUser
    summary: Удаление роли у объекта типа AdminUser
    description: Удаление роли у объекта типа AdminUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@deleteRole'
    parameters:
      - $ref: '#/PathId'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/admin_users.yaml#/DeleteRoleFromAdminUserRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUsersRefreshPasswordToken:
  post:
    tags:
      - units_admin_users
    operationId: refreshPasswordToken
    summary: Обновление токена для установки пароля
    description: Обновить токен для установки пароля
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@refreshPasswordToken'
    x-lg-skip-request-generation: true
    parameters:
      - schema:
          type: string
        name: id
        in: path
        required: true
        description: ID пользователя
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/SuccessEmptyResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUsersMassChangeActive:
  post:
    tags:
      - units_admin_users
    operationId: massChangeActive
    summary: Массовая активация/деактивация пользователей
    description: Массовая активация/деактивация пользователей
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@massChangeActive'
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/admin_users.yaml#/MassChangeActiveRequest'
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/SuccessEmptyResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUsersSetPassword:
  post:
    tags:
      - units_admin_users
    operationId: setAdminUserPassword
    summary: Установка пароля пользователем
    description: Установка пароля пользователем
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUsersController@setPassword'
    x-lg-without-middleware: auth
    security: []
    requestBody:
      content:
        application/json:
          schema:
            type: object
            properties:
              token:
                type: string
                description: Токен из ссылки по которой перешел пользователь
                example: 894ef36797a01973110b8a28a81f7682
              password:
                type: string
                description: Новый пароль пользователя
                example: testPassword775105k#i*
            required:
              - token
              - password
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/SuccessEmptyResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

AdminUserRolesMeta:
  get:
    tags:
      - units_admin_users
    operationId: getAdminUserRolesMeta
    summary: Getting a list of available fields
    description: Getting a list of available fields
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUserRolesController@meta'
    x-lg-skip-resource-generation: true
    responses:
      "200":
        $ref: '../index.yaml#/components/responses/GetResourceMetaResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUserRolesSearch:
  post:
    tags:
      - units_admin_users
    operationId: searchAdminUserRoles
    summary: Получение объектов типа AdminUserRole
    description: Получение объектов типа AdminUserRole
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUserRolesController@search'
    x-lg-skip-request-generation: true
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/admin_user_roles.yaml#/SearchAdminUserRolesRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/admin_user_roles.yaml#/SearchAdminUserRolesResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUserRoles:
  post:
    tags:
      - units_admin_users
    operationId: createAdminUserRole
    summary: Создание объекта типа AdminUserRole
    description: Создание объекта типа AdminUserRole
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUserRolesController@create'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/admin_user_roles.yaml#/CreateAdminUserRoleRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/admin_user_roles.yaml#/AdminUserRoleResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUserRolesOne:
  get:
    tags:
      - units_admin_users
    operationId: getAdminUserRole
    summary: Получение объекта типа AdminUserRole
    description: Получение объекта типа AdminUserRole
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUserRolesController@get'
    parameters:
      - $ref: '#/PathId'
      - $ref: '../common_parameters.yaml#/QueryInclude'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/admin_user_roles.yaml#/AdminUserRoleResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  patch:
    tags:
      - units_admin_users
    parameters:
      - $ref: '#/PathId'
    operationId: patchAdminUserRole
    summary: Частичное изменение объекта типа AdminUser
    description: Частичное изменение объекта типа AdminUser
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUserRolesController@patch'
    requestBody:
      content:
        application/json:
          schema:
            $ref: './schemas/admin_user_roles.yaml#/PatchAdminUserRoleRequest'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/admin_user_roles.yaml#/AdminUserRoleResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
  delete:
    tags:
      - units_admin_users
    operationId: deleteAdminUserRole
    summary: Удаление объекта типа AdminUserRole
    description: Удаление объекта типа AdminUserRole
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUserRolesController@delete'
    x-lg-skip-request-generation: true
    parameters:
      - $ref: '#/PathId'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: '../common_schemas.yaml#/EmptyDataResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
AdminUserRightAccess:
  get:
    tags:
      - units_admin_users
    operationId: getAdminUserRightsAccess
    summary: Получение справочника прав доступа
    description: Получение справочника прав доступа
    x-lg-handler: 'App\Http\ApiV1\Modules\Units\Controllers\AdminUsers\AdminUserRolesController@getRightsAccess'
    responses:
      "200":
        description: Успешный ответ
        content:
          application/json:
            schema:
              $ref: './schemas/admin_user_roles.yaml#/RightsAccessResponse'
      "401":
        $ref: '../index.yaml#/components/responses/Unauthorized'
      "403":
        $ref: '../index.yaml#/components/responses/Forbidden'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'

PathId:
  in: path
  name: id
  required: true
  schema:
    type: integer
    minimum: 1
  description: Числовой id
  example: 1
